Index: /CMT/HEAD/ChangeLog
===================================================================
--- /CMT/HEAD/ChangeLog	(revision 458)
+++ /CMT/HEAD/ChangeLog	(revision 459)
@@ -1,2 +1,64 @@
+2008-05-30    <rybkin@lal.in2p3.fr> 360
+	
+	* source/cmt_log.h: Introduce an enumeration to hold diagnostic messages
+	levels (Debug, Info, Warning, Error, Fatal). Implement a class to hold
+	and manage diagnostic messages prefix, level (default values: #CMT--->,
+	Info), and functions to produce	diagnostic messages
+	* source/cmt_parser.cxx: Implement functions to configure diagnostic
+	messages prefix, and level using the environment variables CMTMSGPREFIX,
+	and CMTDEBUG, CMTINFO, CMTWARNING, CMTERROR, CMTFATAL (in order	of
+	precedence) if set to a non-empty string. Extend functions to configure
+	the diagnostic messages level using the existing command line options
+	-warnings (Warning), -disable_warnings (Error), -quiet (Fatal).
+	Introduce the CMTFLAGS environment variable (set up automatically) in order
+	to contain command line options (currently, to configure the diagnostic
+	messages level and the structuring style) so as to pass the flags to
+	recursive cmt invocations. If CMTFLAGS exists in the environment, the
+	flags from it are processed before the command line options. Implement
+	the CMTFLAGS functionality described above.
+	Use the diagnostic message functions for the messages
+	* source/cmt.h: idem
+	* source/cmt_tag.cxx: Use the diagnostic message functions for the messages
+	* source/cmt_awk.cxx: idem
+	* source/cmt_system.cxx: idem
+	* source/cmt_use.cxx: idem
+	* source/cmt_install_area.cxx: idem
+	* source/cmt_fragment.cxx: idem
+	* source/cmt_generators.cxx: idem
+	* source/cmt_constituent.cxx: idem
+	* source/cmt_syntax.cxx: idem
+	* source/cmt_triggers.cxx: idem
+	* source/cmt_error.cxx: idem
+	* source/cmt_model.cxx: idem
+	* source/cmt_commands.cxx: idem
+	* source/cmt_project.cxx: idem
+	* source/cmt_pattern.cxx: idem
+	* source/cmt_lock.cxx: idem
+	* source/cmt_generator.cxx: idem
+	* source/cmt_cvs.cxx: idem
+	* source/cmt_symbol.cxx: idem
+	* mgr/requirements: Do not use the -quiet command line option
+	* mgr/fragments/constituent:  idem
+	* mgr/fragments/make_setup: idem
+	* mgr/fragments/check_application_header: idem
+	* mgr/fragments/constituents_header: idem
+	* mgr/fragments/constituent_lock: idem
+	* mgr/fragments/generator_header: idem
+	* mgr/fragments/cleanup_header: Improve control of Make verbosity
+	* mgr/fragments/make_setup_nmake: Do not use the -quiet command line option
+	* mgr/fragments/nmake/constituent: idem
+	* mgr/fragments/nmake/check_application_header: idem
+	* mgr/fragments/nmake/constituents_header: idem
+	* mgr/fragments/nmake/yacc: idem
+	* mgr/fragments/nmake/constituent_lock: idem
+	* mgr/fragments/nmake/lex: idem
+	* mgr/fragments/nmake/generator_header: idem
+	* mgr/fragments/nmake/yacc_library: idem
+	* mgr/fragments/nmake/lex_library: idem
+	* src/Makefile.header: idem, improve control of Make verbosity
+	* src/constituents.make: Do not use the -quiet command line option
+	* src/NMakefile.header: idem
+	* src/constituents.nmake: idem
+
 2008-05-14    <rybkin@lal.in2p3.fr> 359
 	
Index: /CMT/HEAD/mgr/fragments/check_application_header
===================================================================
--- /CMT/HEAD/mgr/fragments/check_application_header	(revision 458)
+++ /CMT/HEAD/mgr/fragments/check_application_header	(revision 459)
@@ -6,5 +6,5 @@
 ${CONSTITUENT}check ::
 	@echo "------> starting ${CONSTITUENT}check"
-	@$(cmtexe) -quiet build constituent_makefile ${CONSTITUENT}; $(MAKE) -f ${CONSTITUENT}.make build_strategy=keep_makefiles ${CONSTITUENT}check
+	@$(cmtexe) build constituent_makefile ${CONSTITUENT}; $(MAKE) -f ${CONSTITUENT}.make build_strategy=keep_makefiles ${CONSTITUENT}check
 
 #-- end of check_application_header ------
Index: /CMT/HEAD/mgr/fragments/cleanup_header
===================================================================
--- /CMT/HEAD/mgr/fragments/cleanup_header	(revision 458)
+++ /CMT/HEAD/mgr/fragments/cleanup_header	(revision 459)
@@ -6,18 +6,22 @@
 ifndef PEDANTIC
 .DEFAULT::
-	@echo "#CMT> Warning: $@: No rule for such target" >&2; exit
+	$(echo) "(${CONSTITUENT}.make) $@: No rule for such target" >&2
+#	@echo "#CMT> Warning: $@: No rule for such target" >&2; exit
 else
 .DEFAULT::
-	@echo "#CMT> PEDANTIC MODE >> No rule for target $@" >&2
-	@if test $@ = "$(cmt_final_setup)" -o\
+	$(echo) "(${CONSTITUENT}.make) PEDANTIC: $@: No rule for such target" >&2
+	if test $@ = "$(cmt_final_setup)" -o\
 	 $@ = "$(cmt_final_setup_${CONSTITUENT})" ; then\
 	 found=n; for s in 1 2 3 4 5; do\
 	 sleep $$s; test ! -f $@ || { found=y; break; }\
 	 done; if test $$found = n; then\
-	 echo "#CMT> PEDANTIC MODE >> $@ seems to be missing. Ignore it for now" >&2; exit 0 ; fi;\
+	 test -z "$(cmtmsg)" ||\
+	 echo "$(CMTMSGPREFIX)" "(${CONSTITUENT}.make) PEDANTIC: $@: Seems to be missing. Ignore it for now" >&2; exit 0 ; fi;\
 	 elif test `expr index $@ '/'` -ne 0 ; then\
-	 echo "#CMT> PEDANTIC MODE >> $@ seems to be a missing file, please check" >&2; exit -1 ; \
+	 test -z "$(cmtmsg)" ||\
+	 echo "$(CMTMSGPREFIX)" "(${CONSTITUENT}.make) PEDANTIC: $@: Seems to be a missing file. Please check" >&2; exit 2 ; \
 	 else\
-	 echo "#CMT> PEDANTIC MODE >> $@ seems to be a fake target due to some pattern. Just ignore it" >&2 ; exit 0; fi
+	 test -z "$(cmtmsg)" ||\
+	 echo "$(CMTMSGPREFIX)" "(${CONSTITUENT}.make) PEDANTIC: $@: Seems to be a fake target due to some pattern. Just ignore it" >&2 ; exit 0; fi
 endif
 
Index: /CMT/HEAD/mgr/fragments/constituent
===================================================================
--- /CMT/HEAD/mgr/fragments/constituent	(revision 458)
+++ /CMT/HEAD/mgr/fragments/constituent	(revision 459)
@@ -28,7 +28,7 @@
 	$(echo) "(constituents.make) Rebuilding setup.make $(cmt_local_tagfile_${CONSTITUENT})"
 	@if test -f $(cmt_local_tagfile_${CONSTITUENT}); then /bin/rm -f $(cmt_local_tagfile_${CONSTITUENT}); fi ; \
-	  $(cmtexe) -quiet -tag=$(tags) $(${CONSTITUENT}_extratags) build tag_makefile >>$(cmt_local_tagfile_${CONSTITUENT}); \
+	  $(cmtexe) -tag=$(tags) $(${CONSTITUENT}_extratags) build tag_makefile >>$(cmt_local_tagfile_${CONSTITUENT}); \
 	  if test -f $(cmt_final_setup_${CONSTITUENT}); then /bin/rm -f $(cmt_final_setup_${CONSTITUENT}); fi; \
-	  $(cmtexe) -quiet -tag=$(tags) $(${CONSTITUENT}_extratags) show setup >>$(cmt_final_setup_${CONSTITUENT})
+	  $(cmtexe) -tag=$(tags) $(${CONSTITUENT}_extratags) show setup >>$(cmt_final_setup_${CONSTITUENT})
 	$(echo) setup.make ok
 
@@ -54,5 +54,5 @@
 endif
 	$(echo) "(constituents.make) Building ${CONSTITUENT}.make"; \
-	  $(cmtexe) -quiet -tag=$(tags) $(${CONSTITUENT}_extratags) build constituent_makefile -out=$(cmt_local_${CONSTITUENT}_makefile) ${CONSTITUENT}
+	  $(cmtexe) -tag=$(tags) $(${CONSTITUENT}_extratags) build constituent_makefile -out=$(cmt_local_${CONSTITUENT}_makefile) ${CONSTITUENT}
 
 ${CONSTITUENT} :: $(${CONSTITUENT}_dependencies) $(cmt_local_${CONSTITUENT}_makefile)
Index: /CMT/HEAD/mgr/fragments/constituent_lock
===================================================================
--- /CMT/HEAD/mgr/fragments/constituent_lock	(revision 458)
+++ /CMT/HEAD/mgr/fragments/constituent_lock	(revision 459)
@@ -28,7 +28,7 @@
 	$(echo) "(constituents.make) Rebuilding setup.make $(cmt_local_tagfile_${CONSTITUENT})"
 	@if test -f $(cmt_local_tagfile_${CONSTITUENT}); then /bin/rm -f $(cmt_local_tagfile_${CONSTITUENT}); fi ; \
-	  $(cmtexe) -quiet -tag=$(tags) $(${CONSTITUENT}_extratags) build tag_makefile >>$(cmt_local_tagfile_${CONSTITUENT}); \
+	  $(cmtexe) -tag=$(tags) $(${CONSTITUENT}_extratags) build tag_makefile >>$(cmt_local_tagfile_${CONSTITUENT}); \
 	  if test -f $(cmt_final_setup_${CONSTITUENT}); then /bin/rm -f $(cmt_final_setup_${CONSTITUENT}); fi; \
-	  $(cmtexe) -quiet -tag=$(tags) $(${CONSTITUENT}_extratags) show setup >>$(cmt_final_setup_${CONSTITUENT})
+	  $(cmtexe) -tag=$(tags) $(${CONSTITUENT}_extratags) show setup >>$(cmt_final_setup_${CONSTITUENT})
 	$(echo) setup.make ok
 
@@ -54,5 +54,5 @@
 endif
 	$(echo) "(constituents.make) Building ${CONSTITUENT}.make"; \
-	  $(cmtexe) -quiet -tag=$(tags) $(${CONSTITUENT}_extratags) build constituent_makefile -out=$(cmt_local_${CONSTITUENT}_makefile) ${CONSTITUENT}
+	  $(cmtexe) -tag=$(tags) $(${CONSTITUENT}_extratags) build constituent_makefile -out=$(cmt_local_${CONSTITUENT}_makefile) ${CONSTITUENT}
 
 ${CONSTITUENT} :: $(${CONSTITUENT}_dependencies) $(cmt_local_${CONSTITUENT}_makefile)
Index: /CMT/HEAD/mgr/fragments/constituents_header
===================================================================
--- /CMT/HEAD/mgr/fragments/constituents_header	(revision 458)
+++ /CMT/HEAD/mgr/fragments/constituents_header	(revision 459)
@@ -47,5 +47,5 @@
 endif
 
-##	@bin=`$(cmtexe) -quiet show macro_value bin`
+##	@bin=`$(cmtexe) show macro_value bin`
 
 #$(cmt_local_tagfile) : $(cmt_lock_setup)
@@ -60,5 +60,5 @@
 	  if test -f $(cmt_local_setup); then /bin/rm -f $(cmt_local_setup); fi; \
 	  trap '/bin/rm -f $(cmt_local_setup)' 0 1 2 15; \
-	  $(cmtexe) -quiet -tag=$(tags) show setup >>$(cmt_local_setup); \
+	  $(cmtexe) -tag=$(tags) show setup >>$(cmt_local_setup); \
 	  if test ! -f $@; then \
 	    mv $(cmt_local_setup) $@; \
@@ -78,5 +78,5 @@
 
 env.make ::
-	printenv >env.make.tmp; $(cmtexe) -quiet check files env.make.tmp env.make
+	printenv >env.make.tmp; $(cmtexe) check files env.make.tmp env.make
 
 ifndef QUICK
@@ -101,5 +101,6 @@
 
 .DEFAULT ::
-	@echo "#CMT> Warning: $@: Using default commands" >&2; exit
+	$(echo) "(constituents.make) $@: No rule for such target" >&2
+#	@echo "#CMT> Warning: $@: Using default commands" >&2; exit
 
 #	@if test "$@" = "$(cmt_lock_setup)"; then \
Index: /CMT/HEAD/mgr/fragments/generator_header
===================================================================
--- /CMT/HEAD/mgr/fragments/generator_header	(revision 458)
+++ /CMT/HEAD/mgr/fragments/generator_header	(revision 459)
@@ -12,6 +12,6 @@
 ${dir}${out}_stamp ::
 	@echo ${out}
-	$(cmtexe) -quiet expand model "${model}" > ${dir}${out}_temp
-	$(cmtexe) -quiet check files ${dir}${out}_temp ${dir}${out}
+	$(cmtexe) expand model "${model}" > ${dir}${out}_temp
+	$(cmtexe) check files ${dir}${out}_temp ${dir}${out}
 	@echo ${CONSTITUENT} >${dir}${out}_stamp
 
Index: /CMT/HEAD/mgr/fragments/make_setup
===================================================================
--- /CMT/HEAD/mgr/fragments/make_setup	(revision 458)
+++ /CMT/HEAD/mgr/fragments/make_setup	(revision 459)
@@ -11,5 +11,5 @@
 	@if test "$(nocheck)" = ""; then \
 	  /bin/echo "Rebuilding $@"; \
-	  $(cmtexe) setup -quiet -tag=$(tags) | sed -e 's#`${CMTROOT}/mgr/cmt system`#$(${PACKAGE}_tag)#' >$(${PACKAGE}_tag).csh; \
+	  $(cmtexe) setup -tag=$(tags) | sed -e 's#`${CMTROOT}/mgr/cmt system`#$(${PACKAGE}_tag)#' >$(${PACKAGE}_tag).csh; \
 	fi
 
@@ -20,5 +20,5 @@
 	@if test "$(nocheck)" = ""; then \
 	  /bin/echo "Rebuilding $@"; \
-	  $(cmtexe) setup -quiet -sh -tag=$(tags) | sed -e 's#`${CMTROOT}/mgr/cmt system`#$(${PACKAGE}_tag)#' >$(${PACKAGE}_tag).csh; \
+	  $(cmtexe) setup -sh -tag=$(tags) | sed -e 's#`${CMTROOT}/mgr/cmt system`#$(${PACKAGE}_tag)#' >$(${PACKAGE}_tag).csh; \
 	fi
 
@@ -27,11 +27,11 @@
 
 env.make ::
-	@printenv >env.make.tmp; $(cmtexe) -quiet check files env.make.tmp env.make
+	@printenv >env.make.tmp; $(cmtexe) check files env.make.tmp env.make
 
 $(${PACKAGE}_tag).make : requirements $(use_requirements)
 	@if test ! -d $(bin) ; then $(mkdir) -p $(bin); fi; \
 	  if test -f $(${PACKAGE}_tag).make; then /bin/rm -f $(${PACKAGE}_tag).make; fi; \
-	  $(cmtexe) -quiet -tag=$(tags) build tag_makefile >t$$$$; mv t$$$$ $(${PACKAGE}_tag).make ; \
-	  $(cmtexe) -quiet -tag=$(tags) show uses >t$$$$; mv t$$$$ uses.make ; \
+	  $(cmtexe) -tag=$(tags) build tag_makefile >t$$$$; mv t$$$$ $(${PACKAGE}_tag).make ; \
+	  $(cmtexe) -tag=$(tags) show uses >t$$$$; mv t$$$$ uses.make ; \
 	  $(cmtexe) -tag=$(tags) show tags >t$$$$; mv t$$$$ tags.make
 
Index: /CMT/HEAD/mgr/fragments/make_setup_nmake
===================================================================
--- /CMT/HEAD/mgr/fragments/make_setup_nmake	(revision 458)
+++ /CMT/HEAD/mgr/fragments/make_setup_nmake	(revision 459)
@@ -19,5 +19,5 @@
 $(${PACKAGE}_tag).make : requirements ${use_requirements}
 	@echo "Now rebuilding $@"
-###	@mkdir -p $(bin); touch $(${PACKAGE}_tag).make; ${CMTROOT}/mgr/cmt -quiet build tag_makefile -tag=$(${PACKAGE}_tag) >t$$$$; mv t$$$$ $(${PACKAGE}_tag).make
+###	@mkdir -p $(bin); touch $(${PACKAGE}_tag).make; ${CMTROOT}/mgr/cmt build tag_makefile -tag=$(${PACKAGE}_tag) >t$$$$; mv t$$$$ $(${PACKAGE}_tag).make
 
 -include $(${PACKAGE}_tag).make
Index: /CMT/HEAD/mgr/fragments/nmake/check_application_header
===================================================================
--- /CMT/HEAD/mgr/fragments/nmake/check_application_header	(revision 458)
+++ /CMT/HEAD/mgr/fragments/nmake/check_application_header	(revision 459)
@@ -5,5 +5,5 @@
 ${CONSTITUENT}check ::
 	@echo "------> starting ${CONSTITUENT}check"
-	@$(cmtexe) -quiet build -nmake constituent_makefile ${CONSTITUENT}
+	@$(cmtexe) build -nmake constituent_makefile ${CONSTITUENT}
 	$(MAKE) /f ${CONSTITUENT}.nmake build_strategy=keep_makefiles ${CONSTITUENT}check
 
Index: /CMT/HEAD/mgr/fragments/nmake/constituent
===================================================================
--- /CMT/HEAD/mgr/fragments/nmake/constituent	(revision 458)
+++ /CMT/HEAD/mgr/fragments/nmake/constituent	(revision 459)
@@ -16,8 +16,8 @@
 !endif
 
-!if [cmt -quiet -tag=$(tags) $(${CONSTITUENT}_extratags) build tag_makefile >$(cmt_local_tagfile_${CONSTITUENT})] == 0
+!if [cmt -tag=$(tags) $(${CONSTITUENT}_extratags) build tag_makefile >$(cmt_local_tagfile_${CONSTITUENT})] == 0
 !endif
 
-!if [$(cmtexe) -quiet -tag=$(tags) $(${CONSTITUENT}_extratags) show setup >$(cmt_final_setup_${CONSTITUENT})] == 0
+!if [$(cmtexe) -tag=$(tags) $(${CONSTITUENT}_extratags) show setup >$(cmt_final_setup_${CONSTITUENT})] == 0
 !endif
 
@@ -34,5 +34,5 @@
 	@set include=$(include)
 	@set lib=$(lib)
-	@$(cmtexe) -quiet -tag=$(tags) $(${CONSTITUENT}_extratags) build -nmake constituent_makefile ${CONSTITUENT}
+	@$(cmtexe) -tag=$(tags) $(${CONSTITUENT}_extratags) build -nmake constituent_makefile ${CONSTITUENT}
 	@move ${CONSTITUENT}.nmake $(bin)
 	$(echo) (constituents.nmake) ${CONSTITUENT}.nmake done
Index: /CMT/HEAD/mgr/fragments/nmake/constituent_lock
===================================================================
--- /CMT/HEAD/mgr/fragments/nmake/constituent_lock	(revision 458)
+++ /CMT/HEAD/mgr/fragments/nmake/constituent_lock	(revision 459)
@@ -16,8 +16,8 @@
 !endif
 
-!if [cmt -quiet -tag=$(tags) $(${CONSTITUENT}_extratags) build tag_makefile >$(cmt_local_tagfile_${CONSTITUENT})] == 0
+!if [cmt -tag=$(tags) $(${CONSTITUENT}_extratags) build tag_makefile >$(cmt_local_tagfile_${CONSTITUENT})] == 0
 !endif
 
-!if [$(cmtexe) -quiet -tag=$(tags) $(${CONSTITUENT}_extratags) show setup >$(cmt_final_setup_${CONSTITUENT})] == 0
+!if [$(cmtexe) -tag=$(tags) $(${CONSTITUENT}_extratags) show setup >$(cmt_final_setup_${CONSTITUENT})] == 0
 !endif
 
@@ -34,5 +34,5 @@
 	@set include=$(include)
 	@set lib=$(lib)
-	@$(cmtexe) -quiet -tag=$(tags) $(${CONSTITUENT}_extratags) build -nmake constituent_makefile ${CONSTITUENT}
+	@$(cmtexe) -tag=$(tags) $(${CONSTITUENT}_extratags) build -nmake constituent_makefile ${CONSTITUENT}
 	@move ${CONSTITUENT}.nmake $(bin)
 	$(echo) (constituents.nmake) ${CONSTITUENT}.nmake done
Index: /CMT/HEAD/mgr/fragments/nmake/constituents_header
===================================================================
--- /CMT/HEAD/mgr/fragments/nmake/constituents_header	(revision 458)
+++ /CMT/HEAD/mgr/fragments/nmake/constituents_header	(revision 459)
@@ -15,5 +15,5 @@
 !endif
 
-!if [cmt -quiet build tag_makefile -tag_add=$(tags) >$(${PACKAGE}_tag).nmake] == 0
+!if [cmt build tag_makefile -tag_add=$(tags) >$(${PACKAGE}_tag).nmake] == 0
 !endif
 
@@ -30,5 +30,5 @@
 
 env.nmake ::
-	@set >env.nmake.tmp; $(cmtexe) -quiet check files env.nmake.tmp env.nmake
+	@set >env.nmake.tmp; $(cmtexe) check files env.nmake.tmp env.nmake
 
 all ::
@@ -44,5 +44,5 @@
 	$(echo) (constituents.nmake) Rebuilding setup.nmake
 	@if not exist $(bin) mkdir $(bin)
-	@$(cmtexe) -quiet -tag=$(tags) show setup   >$(cmt_setup_pid)
+	@$(cmtexe) -tag=$(tags) show setup   >$(cmt_setup_pid)
 	$(echo) setup.nmake ok
 
Index: /CMT/HEAD/mgr/fragments/nmake/generator_header
===================================================================
--- /CMT/HEAD/mgr/fragments/nmake/generator_header	(revision 458)
+++ /CMT/HEAD/mgr/fragments/nmake/generator_header	(revision 459)
@@ -9,6 +9,6 @@
 ${dir}${out}_stamp ::
         @echo ${out}
-        $(cmtexe) -quiet expand model "${model}" > ${dir}${out}_temp
-        $(cmtexe) -quiet check files ${dir}${out}_temp ${dir}${out}
+        $(cmtexe) expand model "${model}" > ${dir}${out}_temp
+        $(cmtexe) check files ${dir}${out}_temp ${dir}${out}
         @echo ${CONSTITUENT} >${dir}${out}_stamp
 
Index: /CMT/HEAD/mgr/fragments/nmake/lex
===================================================================
--- /CMT/HEAD/mgr/fragments/nmake/lex	(revision 458)
+++ /CMT/HEAD/mgr/fragments/nmake/lex	(revision 459)
@@ -5,5 +5,5 @@
 	$(lex_silent) $(lex) ${FILENAME}
 	sed -e 's/yy/${NAME}YY/g' -e 's/LexYY/YY/g' -e 's/ = {stdin}//' -e 's/ = {stdout}//' lex.yy.c > lex.yy.c.tmp
-	$(cmtexe) -quiet check_files lex.yy.c.tmp ${NAME}.c
+	$(cmtexe) check_files lex.yy.c.tmp ${NAME}.c
 	del lex.yy.c
 	$(lex_silent) $(ccomp) /Fo"$(bin)${CONSTITUENT}\${NAME}${CONSTITUENTSUFFIX}.obj" $(use_pp_cflags) $(${CONSTITUENT}_pp_cflags) $(app_${CONSTITUENT}_pp_cflags) $(${NAME}_pp_cflags) $(use_cflags) $(${CONSTITUENT}_cflags) $(app_${CONSTITUENT}_cflags) $(${NAME}_cflags) $(${NAME}_${FILESUFFIX}_cflags) ${ADDINCLUDE} $(src)${NAME}.c
Index: /CMT/HEAD/mgr/fragments/nmake/lex_library
===================================================================
--- /CMT/HEAD/mgr/fragments/nmake/lex_library	(revision 458)
+++ /CMT/HEAD/mgr/fragments/nmake/lex_library	(revision 459)
@@ -5,5 +5,5 @@
 	$(lex_silent) $(lex) ${FILENAME}
 	sed -e 's/yy/${NAME}YY/g' -e 's/LexYY/YY/g' -e 's/ = {stdin}//' -e 's/ = {stdout}//' lex.yy.c > lex.yy.c.tmp
-	$(cmtexe) -quiet check_files lex.yy.c.tmp ${NAME}.c
+	$(cmtexe) check_files lex.yy.c.tmp ${NAME}.c
 	del lex.yy.c
 	$(lex_silent) $(ccomp) /Fo"$(bin)${CONSTITUENT}\${NAME}${CONSTITUENTSUFFIX}.obj" $(use_pp_cflags) $(${CONSTITUENT}_pp_cflags) $(lib_${CONSTITUENT}_pp_cflags) $(${NAME}_pp_cflags) $(use_cflags) $(${CONSTITUENT}_cflags) $(lib_${CONSTITUENT}_cflags) $(${NAME}_cflags) $(${NAME}_${FILESUFFIX}_cflags) ${ADDINCLUDE} $(src)${NAME}.c
Index: /CMT/HEAD/mgr/fragments/nmake/yacc
===================================================================
--- /CMT/HEAD/mgr/fragments/nmake/yacc	(revision 458)
+++ /CMT/HEAD/mgr/fragments/nmake/yacc	(revision 459)
@@ -5,7 +5,7 @@
 	$(yacc_silent) $(yacc) ${FILENAME}
 	sed -e 's/yy/${NAME}YY/g' -e 's/ParseYY/YY/g' y.tab.c > y.tab.c.tmp
-	$(cmtexe) -quiet check_files y.tab.c.tmp ${NAME}.c
+	$(cmtexe) check_files y.tab.c.tmp ${NAME}.c
 	sed -e 's/yy/${NAME}YY/g' -e 's/ParseYY/YY/g' y.tab.h > y.tab.h.tmp
-	$(cmtexe) -quiet check_files y.tab.h.tmp ${NAME}.h
+	$(cmtexe) check_files y.tab.h.tmp ${NAME}.h
 	del y.tab.[ch]
 	$(yacc_silent) $(ccomp) /Fo"$(bin)${CONSTITUENT}\${NAME}${CONSTITUENTSUFFIX}.obj" $(use_pp_cflags) $(${CONSTITUENT}_pp_cflags) $(app_${CONSTITUENT}_pp_cflags) $(${NAME}_pp_cflags) $(use_cflags) $(${CONSTITUENT}_cflags) $(app_${CONSTITUENT}_cflags) $(${NAME}_cflags) $(${NAME}_${FILESUFFIX}_cflags) ${ADDINCLUDE} $(src)${NAME}.c
Index: /CMT/HEAD/mgr/fragments/nmake/yacc_library
===================================================================
--- /CMT/HEAD/mgr/fragments/nmake/yacc_library	(revision 458)
+++ /CMT/HEAD/mgr/fragments/nmake/yacc_library	(revision 459)
@@ -5,7 +5,7 @@
 	$(yacc_silent) $(yacc) ${FILENAME}
 	sed -e 's/yy/${NAME}YY/g' -e 's/ParseYY/YY/g' y.tab.c > y.tab.c.tmp
-	$(cmtexe) -quiet check_files y.tab.c.tmp ${NAME}.c
+	$(cmtexe) check_files y.tab.c.tmp ${NAME}.c
 	sed -e 's/yy/${NAME}YY/g' -e 's/ParseYY/YY/g' y.tab.h > y.tab.h.tmp
-	$(cmtexe) -quiet check_files y.tab.h.tmp ${NAME}.h
+	$(cmtexe) check_files y.tab.h.tmp ${NAME}.h
 	del y.tab.[ch]
 	$(yacc_silent) $(ccomp) /Fo"$(bin)${CONSTITUENT}\${NAME}${CONSTITUENTSUFFIX}.obj" $(use_pp_cflags) $(${CONSTITUENT}_pp_cflags) $(lib_${CONSTITUENT}_pp_cflags) $(${NAME}_pp_cflags) $(use_cflags) $(${CONSTITUENT}_cflags) $(lib_${CONSTITUENT}_cflags) $(${NAME}_cflags) $(${NAME}_${FILESUFFIX}_cflags) ${ADDINCLUDE} $(src)${NAME}.c
Index: /CMT/HEAD/mgr/requirements
===================================================================
--- /CMT/HEAD/mgr/requirements	(revision 458)
+++ /CMT/HEAD/mgr/requirements	(revision 459)
@@ -405,6 +405,6 @@
       VisualC                 "copy "
 
-macro build_library_links  "$(cmtexe) build library_links -quiet -tag=$(tags)"
-macro remove_library_links "$(cmtexe) remove library_links -quiet -tag=$(tags)"
+macro build_library_links  "$(cmtexe) build library_links -tag=$(tags)"
+macro remove_library_links "$(cmtexe) remove library_links -tag=$(tags)"
 
 #
@@ -418,5 +418,5 @@
 
 macro build_prototype    "$(cmtexe) build prototype"
-macro build_dependencies "$(cmtexe) -quiet -tag=$(tags) build dependencies"
+macro build_dependencies "$(cmtexe) -tag=$(tags) build dependencies"
 macro build_triggers     "$(cmtexe) build triggers"
 
Index: /CMT/HEAD/source/cmt.h
===================================================================
--- /CMT/HEAD/source/cmt.h	(revision 458)
+++ /CMT/HEAD/source/cmt.h	(revision 459)
@@ -100,4 +100,6 @@
   static void configure_uname_tag ();
   static void configure_version_tag ();
+  //  static void configure_cmt_message ();
+  static void configure_cmt_message (const ArgParser& ap);
 
   static void do_awk (const ArgParser& ap);
@@ -222,4 +224,9 @@
   static bool get_all_sets_done ();
 
+  static void get_cmt_flags (CmtSystem::cmt_string_vector& flags);
+  static cmt_string get_cmt_flags ();
+  static bool set_cmt_flags (const cmt_string& flags);
+  static bool add_cmt_flag (const cmt_string& flag);
+
   /// If a project file exists above the current directory we don't need CMTPATH
   static void guess_current_project ();
Index: /CMT/HEAD/source/cmt_awk.cxx
===================================================================
--- /CMT/HEAD/source/cmt_awk.cxx	(revision 458)
+++ /CMT/HEAD/source/cmt_awk.cxx	(revision 459)
@@ -13,4 +13,5 @@
 #include "cmt_awk.h"
 #include "cmt_system.h"
+#include "cmt_log.h"
 
 class Parser
@@ -504,5 +505,6 @@
       if (line.find ("\n") == cmt_string::npos)
         {
-          cerr << "#CMT> Warning: Line too long and truncated in PAwk::run for command " << command << endl;
+	  CmtMessage::warning ("Line too long and truncated in PAwk::run for command " + command);
+	  //          cerr << "#CMT> Warning: Line too long and truncated in PAwk::run for command " << command << endl;
         }
 
